SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   PHP Vendors:   PHP Group
PHP Bugs in Phar and WDDX Let Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1035255
SecurityTracker URL:  http://securitytracker.com/id/1035255
CVE Reference:   CVE-2016-3141, CVE-2016-3142   (Links to External Site)
Date:  Mar 14 2016
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to versions 5.5.33, 5.6.19
Description:   Two vulnerabilities were reported in PHP. A remote user can execute arbitrary code on the target system.

A remote user can send specially crafted data to trigger an out-of-bounds read error in phar_parse_zipfile() [CVE-2016-3142].

A remote user can send specially crafted data to trigger a user-after-free memory error and execute arbitrary code on the target system [CVE-2016-3141]. The code will run with the privileges of the target service or application.

The specific impact depends on the application using the affected functions.

Impact:   A remote user can execute arbitrary code on the target system.
Solution:   The vendor has issued a fix (5.5.33, 5.6.19).

The vendor's advisory is available at:

http://php.net/ChangeLog-5.php#5.5.33
http://php.net/ChangeLog-5.php#5.6.19

Vendor URL:  php.net/ChangeLog-5.php#5.5.33 (Links to External Site)
Cause:   Access control error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC